libstdc++: std::complex< double > Class Reference

libstdc++

std::complex< double > Class Reference
Numerics » Complex Numbers

`#include <complex>`

## Public Types
typedef __complex__ double | _ComplexT
typedef double | value_type

## Public Member Functions
constexpr | complex (_ComplexT __z)
constexpr | complex (const complex &)=default
constexpr | complex (double __r=0.0, double __i=0.0)
| __attribute ((__abi_tag__("cxx11"))) const expr double imag() const
| __attribute ((__abi_tag__("cxx11"))) const expr double real() const
constexpr _ComplexT | __rep () const
template<typename _Up>
| explicit (!requires(_Up __u) { value_type{__u};}) const expr complex(const complex< _Up > &__z)
constexpr void | imag (double __val)
template<typename _Tp>
constexpr complex & | operator*= (const complex< _Tp > &__z)
constexpr complex & | operator*= (double __d)
template<typename _Tp>
constexpr complex & | operator+= (const complex< _Tp > &__z)
constexpr complex & | operator+= (double __d)
template<typename _Tp>
constexpr complex & | operator-= (const complex< _Tp > &__z)
constexpr complex & | operator-= (double __d)
template<typename _Tp>
constexpr complex & | operator/= (const complex< _Tp > &__z)
constexpr complex & | operator/= (double __d)
constexpr complex & | operator= (const complex &)=default
template<typename _Tp>
constexpr complex & | operator= (const complex< _Tp > &__z)
constexpr complex & | operator= (double __d)
constexpr void | real (double __val)

## Detailed Description

26.2.3 complex specializations complex<double> specialization

Definition at line 1595 of file complex.

## Member Typedef Documentation

## ◆ _ComplexT

typedef __complex__ double std::complex< double >::_ComplexT

Definition at line 1599 of file complex.

## ◆ value_type

typedef double std::complex< double >::value_type

Definition at line 1598 of file complex.

## Constructor & Destructor Documentation

## ◆ complex() [1/2]

std::complex< double >::complex | ( | _ComplexT | __z | ) |
| inlineconstexpr

Definition at line 1601 of file complex.

## ◆ complex() [2/2]

std::complex< double >::complex | ( | double | __r = 0.0,
|  | double | __i = 0.0 )
| inlineconstexpr

Definition at line 1603 of file complex.

## Member Function Documentation

## ◆ __attribute() [1/2]

std::complex< double >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const
| inline

Definition at line 1636 of file complex.

## ◆ __attribute() [2/2]

std::complex< double >::__attribute | ( | (__abi_tag__("cxx11")) |  | ) | const
| inline

Definition at line 1632 of file complex.

## ◆ __rep()

_ComplexT std::complex< double >::__rep | ( |  | ) | const
| inlineconstexpr

Definition at line 1743 of file complex.

## ◆ explicit()

template<typename _Up>

std::complex< double >::explicit | ( | !requires(_Up __u) { value_type{__u};} |  | ) | const &
| inline

Definition at line 1619 of file complex.

## ◆ imag()

void std::complex< double >::imag | ( | double | __val | ) |
| inlineconstexpr

Definition at line 1659 of file complex.

## ◆ operator*=() [1/2]

template<typename _Tp>

complex & std::complex< double >::operator*= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1727 of file complex.

## ◆ operator*=() [2/2]

complex & std::complex< double >::operator*= | ( | double | __d | ) |
| inlineconstexpr

Definition at line 1683 of file complex.

## ◆ operator+=() [1/2]

template<typename _Tp>

complex & std::complex< double >::operator+= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1711 of file complex.

## ◆ operator+=() [2/2]

complex & std::complex< double >::operator+= | ( | double | __d | ) |
| inlineconstexpr

Definition at line 1669 of file complex.

## ◆ operator-=() [1/2]

template<typename _Tp>

complex & std::complex< double >::operator-= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1719 of file complex.

## ◆ operator-=() [2/2]

complex & std::complex< double >::operator-= | ( | double | __d | ) |
| inlineconstexpr

Definition at line 1676 of file complex.

## ◆ operator/=() [1/2]

template<typename _Tp>

complex & std::complex< double >::operator/= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1736 of file complex.

## ◆ operator/=() [2/2]

complex & std::complex< double >::operator/= | ( | double | __d | ) |
| inlineconstexpr

Definition at line 1690 of file complex.

## ◆ operator=() [1/2]

template<typename _Tp>

complex & std::complex< double >::operator= | ( | const complex< _Tp > & | __z | ) |
| inlineconstexpr

Definition at line 1703 of file complex.

## ◆ operator=() [2/2]

complex & std::complex< double >::operator= | ( | double | __d | ) |
| inlineconstexpr

Definition at line 1662 of file complex.

## ◆ real()

void std::complex< double >::real | ( | double | __val | ) |
| inlineconstexpr

Definition at line 1656 of file complex.

The documentation for this class was generated from the following file:

- complex